Update a Trusted Access client
curl --request PATCH \
--url http://10.2.4.166:8080/composer/api/trusted-access/clients/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"client_name": "<string>",
"access_token_validity_seconds": 123
}
'import requests
url = "http://10.2.4.166:8080/composer/api/trusted-access/clients/{id}"
payload = {
"client_name": "<string>",
"access_token_validity_seconds": 123
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({client_name: '<string>', access_token_validity_seconds: 123})
};
fetch('http://10.2.4.166:8080/composer/api/trusted-access/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/trusted-access/clients/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'client_name' => '<string>',
'access_token_validity_seconds' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/trusted-access/clients/{id}"
payload := strings.NewReader("{\n \"client_name\": \"<string>\",\n \"access_token_validity_seconds\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("http://10.2.4.166:8080/composer/api/trusted-access/clients/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"client_name\": \"<string>\",\n \"access_token_validity_seconds\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/trusted-access/clients/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"client_name\": \"<string>\",\n \"access_token_validity_seconds\": 123\n}"
response = http.request(request)
puts response.read_body{
"client_name": "<string>",
"access_token_validity_seconds": 123,
"client_id": "<string>",
"client_secret": "<string>",
"client_secret_expires_at": 123,
"token_endpoint_auth_method": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}Update a Trusted Access client
Supervisor authority is required to access this endpoint
Update a Trusted Access client
curl --request PATCH \
--url http://10.2.4.166:8080/composer/api/trusted-access/clients/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
{
"client_name": "<string>",
"access_token_validity_seconds": 123
}
'import requests
url = "http://10.2.4.166:8080/composer/api/trusted-access/clients/{id}"
payload = {
"client_name": "<string>",
"access_token_validity_seconds": 123
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify({client_name: '<string>', access_token_validity_seconds: 123})
};
fetch('http://10.2.4.166:8080/composer/api/trusted-access/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/trusted-access/clients/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'client_name' => '<string>',
'access_token_validity_seconds' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/trusted-access/clients/{id}"
payload := strings.NewReader("{\n \"client_name\": \"<string>\",\n \"access_token_validity_seconds\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("http://10.2.4.166:8080/composer/api/trusted-access/clients/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("{\n \"client_name\": \"<string>\",\n \"access_token_validity_seconds\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/trusted-access/clients/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "{\n \"client_name\": \"<string>\",\n \"access_token_validity_seconds\": 123\n}"
response = http.request(request)
puts response.read_body{
"client_name": "<string>",
"access_token_validity_seconds": 123,
"client_id": "<string>",
"client_secret": "<string>",
"client_secret_expires_at": 123,
"token_endpoint_auth_method": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Path Parameters
Client identifier
Body
application/vnd.composer.v3+json
Response
The client was updated successfully
Defines client's data
Client name
Access token validity in seconds
Generated client identifier (36 characters)
Generated client secret (36 characters)
Client secret expiration time
Token endpoint authorization method
Was this page helpful?